import java.io.Serializable;
import java.io.File;
import java.io.IOException;
import java.io.FileOutputStream;
import java.io.ObjectOutputStream;
import java.io.FileInputStream;
import java.io.ObjectInputStream;
import javafx.scene.paint.Color;
public class Roster implements Serializable
{
    private SerializableColor color;
    private File file;
    public Roster(SerializableColor sc)
    {
        color = sc;
        file = new File("color.test");
    }
    public Roster(Color color)
    {
        this.color = new SerializableColor(color);
    }
    @Override 
    public String toString()
    {
        return color.makeHexCode();
    }
    public void serialize()
    {
        System.out.println("serialize called");
        try
        {
            ObjectOutputStream oos  = new ObjectOutputStream(
                new FileOutputStream(file));
            oos.writeObject(color);
            oos.close();
        }
        catch(IOException ex)
        {
            ex.printStackTrace();
        }
    }
    @SuppressWarnings("unchecked")
    private void deserialize()
    {
        try
        {
            ObjectInputStream ois  = new ObjectInputStream(
                new FileInputStream(file));
            color = (SerializableColor) ois.readObject();
            ois.close();
        }
        catch(IOException ex)
        {
            ex.printStackTrace();
        }
        catch(ClassNotFoundException ex)
        {
            ex.printStackTrace();
        }
    }
    public static void main(String[] args)
    {
        Roster color = new Roster(new SerializableColor(Color.ORANGE));
        //color.serialize();
        color.deserialize();
        System.out.println(color);
    }
}
